The day's meetings and the meetings that need someone
const url = 'https://api.vocapable.com/v1/mobile/workspace/agenda?timezone=example&scope=mine';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.vocapable.com/v1/mobile/workspace/agenda?timezone=example&scope=mine' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
object
object
object
A teammate named on a record: the id the server holds and the name to show.
object
Where the meeting lives outside Vocapable, if anywhere.
A teammate named on a record: the id the server holds and the name to show.
object
A teammate named on a record: the id the server holds and the name to show.
object
The provider write in flight for this meeting (booking, move or cancellation).
object
object
object
A teammate named on a record: the id the server holds and the name to show.
object
Where the meeting lives outside Vocapable, if anywhere.
A teammate named on a record: the id the server holds and the name to show.
object
A teammate named on a record: the id the server holds and the name to show.
object
The provider write in flight for this meeting (booking, move or cancellation).
object
Example
{ "scope": "mine", "items": [ { "meeting": { "status": "draft", "status_reason": "slot_taken", "calendar": { "provider": "google_calendar" }, "reminder_state": "none", "conflicts": [ { "source": "calendar" } ], "origin": "workspace" } } ], "recovery": [ { "meeting": { "status": "draft", "status_reason": "slot_taken", "calendar": { "provider": "google_calendar" }, "reminder_state": "none", "conflicts": [ { "source": "calendar" } ], "origin": "workspace" } } ]}Validation Error
object
object
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}